Page MenuHomePhabricator

Content platform discussion: use cases
Closed, ResolvedPublic

Description

Goal: find content platform use cases that are informative for the discussion

Please be bold and update the description directly.

Graphoid graphs: T98872

Storage:

  • graph definitions stored in page properties
    • synchronous update on save
  • ids based on hash of definition *and* data (data = transcluded JSON)
  • issues:
    • hitting size limitations
    • graph definitions can be large, too large for URL; use POST for VE preview?

Change propagation:

  • need to re-render graphs when data changes
  • currently handled implicitly by transcluding the data (which adds template links)

Flow

Storage:

  • HTML of each post in externalstore
  • changes injected into recentchanges

Change propagation:

  • custom link tables for dependency tracking
  • issues:
    • need to maintain custom tables, updates
    • transclusions in HTML not being updated

Mobile app service

Storage:

  • massaged HTML and JSON metadata

Change propagation:

  • on each main article HTML change
  • on Wikidata item / metadata change

VisualEditor

Storage:

  • HTML and data-parsoid (RESTBase)
  • future:
    • for section editing, need a full set of references, possibly page metadata (todo)
    • templatedata: versioning relative to templates?

Change propagation:

  • HTML / data-parsoid updated with RESTBase update jobs
    • fairly inefficient: full pages re-rendered, about 50% of re-renders actually don't change any text at all
  • templatedata: suggest update if the signature of the template changes?

Lead images (reading / mobile)

Which image is the one that describes the article best?

Storage:

  • image name, possibly focus area

Change propagation:

  • needs update if the image is no longer in the article, or the image is deleted
  • can remain the same on most article edits

Authorship maps

Who touched this content last?

Storage:

  • metadata mapping from content id (stable ids + offset?) to original revision / author

Change propagation:

  • needs to be automatically updated on each edit

Media Info

  • structured data (author, license, subject, derivative, etc)
  • associated with file / file description
  • should be integrated with history of file description page
    • upload history should be integrated too
  • can be shown using templates on the description page and/or using a generic data view
  • can be edited inline using VE, as well as via a wikidata-like data editor

ProofreadPage Page: pages

  • used by Wikisource
  • three wikitext areas and metadata (see see T48724)
  • should be editable with VE

Event Timeline

GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke added a subscriber: GWicke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2015, 12:19 AM
Krenair added a subscriber: Krenair.
GWicke renamed this task from Content use cases to Content platform discussion: use cases.Jun 23 2015, 7:26 PM
GWicke updated the task description. (Show Details)
GWicke set Security to None.
GWicke edited subscribers, added: Yurik, Catrope, Jdforrester-WMF and 4 others; removed: Aklapper.
GWicke updated the task description. (Show Details)Jun 23 2015, 7:28 PM
GWicke updated the task description. (Show Details)Jun 23 2015, 7:52 PM
daniel updated the task description. (Show Details)Jun 23 2015, 8:19 PM
daniel updated the task description. (Show Details)
ssastry updated the task description. (Show Details)Jun 23 2015, 9:42 PM
Tpt updated the task description. (Show Details)Aug 12 2015, 1:16 AM
GWicke moved this task from Backlog to attic on the Services board.Jul 12 2017, 6:02 PM
GWicke edited projects, added Services (attic); removed Services.
Pchelolo closed this task as Resolved.Jul 10 2019, 7:16 PM
Pchelolo claimed this task.
Pchelolo added a subscriber: Pchelolo.

This ticket has solved it's purpose.